| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ana.Step Class Reference

## Public Member Functions
def | __init__ (self)
def | toString (self)
def | diff (self, other)

## Public Attributes
| name
| type
| protocol
| data
| usage
| cpu
| events
| user
| system
| ellapsed

## Detailed Description

Definition at line 18 of file ana.py.

## Constructor & Destructor Documentation

def ana.Step.__init__ | ( |  | self | ) |

Definition at line 19 of file ana.py.

19 def __init__(self):
20 self.name=''
21 self.type=''
22 self.protocol = ''
23 self.data=''
24 self.usage=None
25 self.cpu = 0.
26 self.events = 0
27 self.user=0.
28 self.system=0.
29 self.ellapsed = 0.
30
ana.Step.usage
usage
Definition: ana.py:24
ana.Step.user
user
Definition: ana.py:27
ana.Step.ellapsed
ellapsed
Definition: ana.py:29
ana.Step.name
name
Definition: ana.py:20
ana.Step.__init__
def __init__(self)
Definition: ana.py:19
ana.Step.cpu
cpu
Definition: ana.py:25
ana.Step.events
events
Definition: ana.py:26
ana.Step.data
data
Definition: ana.py:23
ana.Step.system
system
Definition: ana.py:28
ana.Step.protocol
protocol
Definition: ana.py:22
ana.Step.type
type
Definition: ana.py:21

## Member Function Documentation

def ana.Step.diff | ( |  | self,
|  |  | other
| ) |  |

Definition at line 36 of file ana.py.

36 def diff(self,other):
37 e1 = self.ellapsed/self.events
38 e2 = other.ellapsed/other.events
39 e3 = (self.user+self.system)/self.events
40 e4 = (other.user+other.system)/other.events
41 s1 = '%8.2e %8.2e'%(e1-e2,e3-e4)
42 return s1
ana.Step.user
user
Definition: ana.py:27
ana.Step.ellapsed
ellapsed
Definition: ana.py:29
ana.Step.diff
def diff(self, other)
Definition: ana.py:36
ana.Step.events
events
Definition: ana.py:26
ana.Step.system
system
Definition: ana.py:28

def ana.Step.toString | ( |  | self | ) |

Definition at line 31 of file ana.py.

31 def toString(self):
32 s1 = '%-8s %-8s %-12s %7d %8.2f %8.2f %8.2f %7.2f '%(self.type,self.protocol,self.name,self.events,self.ellapsed,self.user,self.system,self.cpu)
33 s2 = '%8.2e %8.2e %8.2e'%(self.ellapsed/self.events,self.user/self.events,self.system/self.events)
34 return s1+s2
35
ana.Step.user
user
Definition: ana.py:27
ana.Step.ellapsed
ellapsed
Definition: ana.py:29
ana.Step.name
name
Definition: ana.py:20
ana.Step.toString
def toString(self)
Definition: ana.py:31
ana.Step.cpu
cpu
Definition: ana.py:25
ana.Step.events
events
Definition: ana.py:26
ana.Step.system
system
Definition: ana.py:28
ana.Step.protocol
protocol
Definition: ana.py:22
ana.Step.type
type
Definition: ana.py:21

## Member Data Documentation

ana.Step.cpu

Definition at line 25 of file ana.py.

ana.Step.data

Definition at line 23 of file ana.py.

ana.Step.ellapsed

Definition at line 29 of file ana.py.

ana.Step.events

Definition at line 26 of file ana.py.

ana.Step.name

Definition at line 20 of file ana.py.

ana.Step.protocol

Definition at line 22 of file ana.py.

ana.Step.system

Definition at line 28 of file ana.py.

ana.Step.type

Definition at line 21 of file ana.py.

ana.Step.usage

Definition at line 24 of file ana.py.

ana.Step.user

Definition at line 27 of file ana.py.

The documentation for this class was generated from the following file:

- RootCnv/cmt/ana.py